Page MenuHomeFreeBSD

Update sysutils/py-supervisor to 3.3.4. Improve port
ClosedPublic

Authored by sergey_akhmatov.ru on Aug 17 2018, 5:54 PM.

Details

Summary

My efforts to cleanup some legacy and improve port:

  1. get rid of @[un]exec in pkg-plist
    • @exec mkdir -p %%PIDDIR%% goes to PLIST_DIRS
    • @unexec echo goes away, let pkg handle PIDDIR removal
    • @sample is the only line left, it goes to PLIST_FILES
    • This leaves us with empty pkg-plist, remove it.
  2. The port has PORTDOCS which makes DOCS option a MUST, adding it
  3. remove patch test_supervisorctl.py. Failing test is already disabled upstream.
  4. regenerate patch-supervisor_options.py to make it PORTish
  5. patch-supervisor-tests-test_supervisorctl.py - fix failing test, regenerate (makepatch created it under slightly different name, mind it during commit)

TODO: the port still lacks license. supervisor itself uses REPOZE licence, e.g. ports with the same licence are py-repoze.who/Makefile, py-repoze.xmliter/Makefile
but supervisor has a bundle of licenses in it's LICENSES.txt, I just don't know how to put it/them into port properly. I'd appreciate any hints.

Test Plan

poudriere testport: OK with only supported flavor py27
make test: Ran 1130 tests in 2.540s, OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sergey_akhmatov.ru edited the summary of this revision. (Show Details)Aug 17 2018, 5:56 PM
sergey_akhmatov.ru added a reviewer: koobs.
mat added inline comments.Aug 18 2018, 9:50 AM
sysutils/py-supervisor/Makefile
17–20 ↗(On Diff #46853)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

Reorder variables

sergey_akhmatov.ru marked an inline comment as done.Aug 18 2018, 10:41 AM
koobs accepted this revision.Aug 20 2018, 1:21 AM
This revision is now accepted and ready to land.Aug 20 2018, 1:21 AM
mat added inline comments.Aug 20 2018, 12:23 PM
sysutils/py-supervisor/Makefile
31 ↗(On Diff #46889)

Remove, default.

Remove redundant python_OLD_CMD

This revision now requires review to proceed.Aug 20 2018, 2:21 PM
sergey_akhmatov.ru marked an inline comment as done.Aug 20 2018, 2:22 PM
This revision was not accepted when it landed; it landed in state Needs Review.Sep 22 2018, 8:27 AM
Closed by commit rP480364: - Update to 3.3.4 (authored by wen). · Explain Why
This revision was automatically updated to reflect the committed changes.